## lastgo 0.1.0

=== debian/changelog ===
lastgo (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Fri, 16 Jun 2010 14:31:00 +0200

## lastgo 0.1.0-1

=== debian/changelog ===
lastgo (0.1.0-1) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Fri, 16 Jun 2010 14:31:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

APPNAME := LastGo
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lastgo.

	mkdir -p $(CURDIR)/debian/lastgo/usr/share/applications/hildon
	cp lastgo.desktop $(CURDIR)/debian/lastgo/usr/share/applications/hildon

	mkdir -p $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/48x48/hildon
	cp images/LastGo_48x48.png $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/48x48/hildon/LastGo.png

	mkdir -p $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon
	cp images/LastGo_64x64.png $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon/LastGo.png

	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## lastgo 0.1.0-2

=== debian/changelog ===
lastgo (0.1.0-2) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Fri, 16 Jun 2010 14:31:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,11 @@
 
 APPNAME := LastGo
 builddir:
-	mkdir -p builddir
+	#mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
+	#cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
+	qmake PREFIX=/usr $(APPNAME).pro
 
 build: build-stamp
 
@@ -22,7 +23,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	cd builddir && $(MAKE)
+	#cd builddir && $(MAKE)
+	$(MAKE)
 	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
 
 	touch $@
@@ -33,7 +35,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -rf builddir
+	#rm -rf builddir
 
 	dh_clean
 
@@ -54,7 +56,8 @@
 	mkdir -p $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon
 	cp images/LastGo_64x64.png $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon/LastGo.png
 
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	#cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
 
 
 # Build architecture-independent files here.

## lastgo 0.1.0-3

=== debian/changelog ===
lastgo (0.1.0-3) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Fri, 16 Jun 2010 14:31:00 +0200

## lastgo 0.2.1-5

=== Makefile ===
#############################################################################
# Makefile for building: LastGo
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jul 23 18:36:31 2010
# Project:  LastGo.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile LastGo.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/opt/qt4-maemo5/lib -lQtGui -L/usr/X11R6/lib -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		lastgowh.cpp \
		apiclient.cpp \
		requests.cpp \
		utils.cpp \
		lastfmtrack.cpp \
		settingsdialog.cpp \
		radiolist.cpp \
		aboutdialog.cpp moc_lastgowh.cpp \
		moc_apiclient.cpp \
		moc_requests.cpp \
		moc_utils.cpp \
		moc_lastfmtrack.cpp \
		moc_settingsdialog.cpp \
		moc_radiolist.cpp \
		moc_aboutdialog.cpp \
		qrc_lastgo.cpp
OBJECTS       = main.o \
		lastgowh.o \
		apiclient.o \
		requests.o \
		utils.o \
		lastfmtrack.o \
		settingsdialog.o \
		radiolist.o \
		aboutdialog.o \
		moc_lastgowh.o \
		moc_apiclient.o \
		moc_requests.o \
		moc_utils.o \
		moc_lastfmtrack.o \
		moc_settingsdialog.o \
		moc_radiolist.o \
		moc_aboutdialog.o \
		qrc_lastgo.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		LastGo.pro
QMAKE_TARGET  = LastGo
DESTDIR       = 
TARGET        = LastGo

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_lastgowh.h ui_settingsdialog.h ui_radiolist.h ui_aboutdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: LastGo.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl
	$(QMAKE) -unix -o Makefile LastGo.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile LastGo.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/LastGo1.0.0 || $(MKDIR) .tmp/LastGo1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/LastGo1.0.0/ && $(COPY_FILE) --parents lastgowh.h apiclient.h requests.h utils.h lastfmtrack.h settingsdialog.h radiolist.h aboutdialog.h .tmp/LastGo1.0.0/ && $(COPY_FILE) --parents lastgo.qrc .tmp/LastGo1.0.0/ && $(COPY_FILE) --parents main.cpp lastgowh.cpp apiclient.cpp requests.cpp utils.cpp lastfmtrack.cpp settingsdialog.cpp radiolist.cpp aboutdialog.cpp .tmp/LastGo1.0.0/ && $(COPY_FILE) --parents lastgowh.ui settingsdialog.ui radiolist.ui aboutdialog.ui .tmp/LastGo1.0.0/ && (cd `dirname .tmp/LastGo1.0.0` && $(TAR) LastGo1.0.0.tar LastGo1.0.0 && $(COMPRESS) LastGo1.0.0.tar) && $(MOVE) `dirname .tmp/LastGo1.0.0`/LastGo1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/LastGo1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_lastgowh.cpp moc_apiclient.cpp moc_requests.cpp moc_utils.cpp moc_lastfmtrack.cpp moc_settingsdialog.cpp moc_radiolist.cpp moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_lastgowh.cpp moc_apiclient.cpp moc_requests.cpp moc_utils.cpp moc_lastfmtrack.cpp moc_settingsdialog.cpp moc_radiolist.cpp moc_aboutdialog.cpp
moc_lastgowh.cpp: lastfmtrack.h \
		apiclient.h \
		requests.h \
		utils.h \
		settingsdialog.h \
		lastgowh.h \
		radiolist.h \
		aboutdialog.h \
		lastgowh.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) lastgowh.h -o moc_lastgowh.cpp

moc_apiclient.cpp: requests.h \
		utils.h \
		lastfmtrack.h \
		apiclient.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) apiclient.h -o moc_apiclient.cpp

moc_requests.cpp: requests.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) requests.h -o moc_requests.cpp

moc_utils.cpp: utils.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) utils.h -o moc_utils.cpp

moc_lastfmtrack.cpp: lastfmtrack.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) lastfmtrack.h -o moc_lastfmtrack.cpp

moc_settingsdialog.cpp: lastgowh.h \
		lastfmtrack.h \
		apiclient.h \
		requests.h \
		utils.h \
		settingsdialog.h \
		radiolist.h \
		aboutdialog.h \
		settingsdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_radiolist.cpp: radiolist.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) radiolist.h -o moc_radiolist.cpp

moc_aboutdialog.cpp: aboutdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) aboutdialog.h -o moc_aboutdialog.cpp

compiler_rcc_make_all: qrc_lastgo.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_lastgo.cpp
qrc_lastgo.cpp: lastgo.qrc \
		images/process-stop.png \
		images/accessories-text-editor.png \
		images/vinile.jpg \
		images/mail-message-new.png \
		images/emblem-favorite.png \
		images/256px-Lastfm.svg.png \
		images/media-playback-start.png \
		images/media-skip-forward.png \
		images/document-save.png \
		images/media-playback-stop.png \
		images/list-add.png
	/opt/qt4-maemo5/bin/rcc -name lastgo lastgo.qrc -o qrc_lastgo.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_lastgowh.h ui_settingsdialog.h ui_radiolist.h ui_aboutdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_lastgowh.h ui_settingsdialog.h ui_radiolist.h ui_aboutdialog.h
ui_lastgowh.h: lastgowh.ui
	/opt/qt4-maemo5/bin/uic lastgowh.ui -o ui_lastgowh.h

ui_settingsdialog.h: settingsdialog.ui
	/opt/qt4-maemo5/bin/uic settingsdialog.ui -o ui_settingsdialog.h

ui_radiolist.h: radiolist.ui
	/opt/qt4-maemo5/bin/uic radiolist.ui -o ui_radiolist.h

ui_aboutdialog.h: aboutdialog.ui
	/opt/qt4-maemo5/bin/uic aboutdialog.ui -o ui_aboutdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:

## lastgo 0.1.0-4

=== debian/changelog ===
lastgo (0.1.0-4) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Fri, 16 Jun 2010 14:31:00 +0200

=== debian/control ===
Source: lastgo
Section: user/multimedia
Priority: extra
Version: 0.1.0
Maintainer: Andrea Grandi <a.grandi@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
Standards-Version: 3.7.3

Package: lastgo
Architecture: any
XB-Maemo-Display-Name: LastGo
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LastGo is a Last.fm client for MeeGo (netbook and tablet).
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oHEAsyEo/U1L4AAAmwSURBVGje3ZprbFTVFsd/+5yZdqYt02mHwti5
 YoHSqgjmtgSCBohCVEwjEjRpfKAE5YvBD14wgRQD8UI/AMZH/CQh5lKiBDRi
 VHxclISGiDx8AJHSXqDlpqWB6fQ9ncc5+344Z86cmc70pRG9O2mm++w9+6z/
 Wv+19tprD/zFm7B3zpqfVcm+V4JPpM37o5oECQSroRvgjClwVTYAiXYGHgT+
 CZQDijAW+8M1a75TF9AMbKmCbzNa4Efg74bGcyTUA6+Yg1Kac4QQoKoIRQFh
 wy3ToNn6cpTxYX0pQUqkTbOmFYQJaDewuRqip4F5gANAT06uF/CKTGpAADj9
 fpxTp6J6PAiXCxQFNA10HWn7lLqe+lzTkFIanxnmY/uO1DRkLIaMRiEeR+o6
 wpBD2LT9D/PfDUo6hc7CUgn/tmtecbnIq65GnTQJhBj20mECpAGwxuzz08dt
 37eem2NiuK0SllhabdLJYTP36zbuCTU/n7wFC1CcTvRYLEVr6RocJng60DSL
 jLiOSakMzmkn7uuYAEQi2gCXgMkShOJ2kz9vHjidhjkzmT8THRL9dK3a++mW
 MYWWI0WVtMgk4CZQUQXdCQtMlqAkULrvusuYHA6najWDuTMKnI02dsFNTY9V
 cJsfCGlExsnYAKjmAI6SEnA40MPh8TlmggZ2eqT5gLRFHDFOwdNxSFBTfCAR
 KpWCAmQkMkzLWfmd5gfDHHcc9JjAHpEKAEVBOJ3DAYxAGz0etwQWaY44Dl5n
 Tw9GafYoZGxWuo4ejQ4HkKBNLIZwOFAKClDy8nDedhsoCvHOTuKhEHJwEK2v
 zwAygjAJoRWXC0dRETmBAIrHgxYKEevoQOvqQo9GRwXjSEeuRyIQi1kRwqJN
 LIY+NIR31Sq8K1eSd9995JaVpQoVjxM+d47+xkZCDQ30//DDiALk3XsvU+vq
 KFy+HCU/33quh8P0fvYZHdu2MXjhAspoydxZqJRwQnE4itWiImSCFgkrxGKo
 Ph/TDxww9gaXy7a7SMNyaU0Ph7n57ru0bdxoeFua9nNnzqTy5EkcPp+1jpWy
 mC1y5QotDz5I5OrVdEV0SbivGpqU9L1OhsPokQh6JIKMRtHDYZzTplFx4gQF
 S5YgcnOTQg4OooVCxINBtJ4e9Gg0qRmXiykbNlD+ySfGLm4TXgLlX3+Nw+ez
 BNf7+tC6utB6eqxnudOn46+rQ6jq2Cgkdd0Q3NS8DuTefjvlR4+SW1ZmaTvW
 3k7Xvn30HTtGrLUVPRYzeDxzJpMeeIDi1atRXC6klHhXrKC0vp72TZusiFRc
 W0vujBnWel0NDdx4803i3d04fD78mzdTuGIFkeZmQgcPDk8AM1EIOAEUpziY
 00nl6dO45861Xtbf2MiVJ54g3tmZMcUWqop79mxmfPEFOYGA9bxp/nwGTp1C
 B8oPHcK7ahUA0WvXOD9tWsoaztJS/Js20bF5M/G+vkzBIAuF0sLY5JdewnXP
 PRY3e7/8kouLFhHr7LTmpf+haQz+8guttbVovb3Wmnfs25eM3SUlSZ63tKCn
 rRFrb6dt/Xq0vr7kullaVgdXJ03Ct2aNkf8D4XPnuPLkk0a+MYaNpqexkRtv
 v205qKuyksnPP48Ewj/9ZM0tWLIEh8uVYk0xkmBjASAB99y5uOfONRwsGqVz
 1y60/v4xbzIK0L5lC9H2diuy+OvqUIGbe/YkI5iiMOPwYRLnkvGe/LICKH76
 aauv3bxJz8cfT+iw3f7qq0lu+/14Hn6YgXPn6Dt2DCEEUko8Dz3EnI4O/Bs2
 4CovR/F4rGg1YQD5ixZZ/cEzZ4iNQ/t2EL1HjhDr6DBelp+P55FHUIG2NWuI
 XrtmgXD6/QR27uTu5mZmffcdpdu24SovH9UqWamWW16eBHD27IQTMa2nh97P
 P7f6nuXLUb1eIlev0rJ0KUO//mpRLBH/86qq8L/2GrMaGylZu3b8FsCMJpYm
 HY6Jl0Y0jd4jR9CHhpCAq7IS1+zZAAw1N3P+7ru5+swzDJw6hRYMpmyGzqlT
 mbZnD77nnstKqawAhi5dSuYs1dW/qazS+9VXaKGQ1b9t61YrdKpAcP9+Ls6f
 T9O8ebStXUuP6dQJi9zx/vvkL1gwdgsIYKCx0eq758zBkZc3YRCxgQG6Dx60
 aDhp2TJcZWXJDdN8Z6S1la6GBi6vWsXlxx9PyYv+9tZbGf0hK4Dujz5K7gnF
 xXiWLRtvVQ2EQMnNRQGu79iRMh7Yvj2FFumbYejwYa5v22ZZImf6dHJsG+Co
 AMI//0zk8mVjktuN78UXR0yqhmWjQFFtLYH6enQg0tlJ6MABSyBPTQ3uioqR
 I9jRo1YWIFQVh9c7dh/QursJffCB1S+sqaF49WqrCDaa9vMqKgi88QZFq1eT
 d+edKEDH1q2WQKrHw9SNG62dPlNzVVYms2RNQ+vuHjsACQTfe49Ye7ultTv2
 7sX31FNWepztz1layrS9e3H6/Th8PiavW4cQgujlyylK8b3wAoUrV2ZcQ8nN
 xW8CRgj0UIjojRtjByCAodZW/rt+vaU1KSVl+/dT1tBA4aOP4pwyxZqrFhTg
 njOHKS+/TPk331Bw//1WFJG6bggRjXK9vt44cppjMw4dIrBjB66KCoQQOLxe
 CmtqqDh+nJxAwJrXuXNnxiNqxnQ6/dxaXFtLmU1z1mGmv9+oZZpptHC5UAsL
 EYpipd9DFy/StGBBSmbqfewxZhw+nHKai3d1oYfDCFVFLSxEcbuTKfzx41xa
 vNgOwEqnHWPJZ7o+/BBycgjs2oXTjARKXh6K250s+CWqyrb+4MmTNC1ebBQC
 bOuGPv2U1mefZdrevUb1D1CLinAUF6eAEkIQ/vFH/lNTkzUTGGvWSvBf/6Jl
 yRJuvPOOFZ1SqpVCGDSLRuk7epRr69ZxceHCYcInXhpsaKBl6VIrzbALnTgP
 X9++neZly1Ksx3golMmxhRCoXi/OQID8+fNxlpaCqqIFg4QvXCDS1ITW04M2
 MDC2sorbjaOkhPyFC3HNmkW8u5vB778ncuUKWjCYcleQ6UQ2riRHmNTQQiHi
 oRDh8+czFq9GO0XZ58twmGhbG9G2tmHCjmWdCWdpv7G2+butpXAL7r9+h8s/
 C2zCiTX518IhAc0O4KYA/a8Awrzg0DEuOQwA5j1sC7foPnic/iIkNFeZd8eK
 DVndCBXvPwttEvzfkuLEZwwrfItxD2tdr/7ZlG9qdXcVfHvaDsAm7WZgd9ol
 8y3nvE3zu4Uho1XxzvpTAwGvS5jFLfypgSm4LqBZwpbqbD81SLTTpkmqkkC8
 AnwyNev54whvRJxgwmHPms+r+T9q/wNSwaZqkjTEkwAAAABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/lastgo.
+	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
 
 	mkdir -p $(CURDIR)/debian/lastgo/usr/share/applications/hildon
 	cp lastgo.desktop $(CURDIR)/debian/lastgo/usr/share/applications/hildon
@@ -56,9 +57,8 @@
 	mkdir -p $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon
 	cp images/LastGo_64x64.png $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon/LastGo.png
 
-	#cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
-	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
-
+	mkdir -p $(CURDIR)/debian/lastgo/usr/bin
+	cp LastGo $(CURDIR)/debian/lastgo/usr/bin
 
 # Build architecture-independent files here.
 binary-indep: build install

## lastgo 0.2.0

=== debian/changelog ===
lastgo (0.2.0) unstable; urgency=low

  * Correctly play new track when the old one finishes.
  * Some fixes to ApiClient code.
  * Fix strange characters visualization.
  * Add audio scrobbling code.
  * Update copyright info.

 -- Andrea Grandi <a.grandi@gmail.com>  Fri, 17 Jul 2010 23:15:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lastgo
 Section: user/multimedia
 Priority: extra
-Version: 0.1.0
+Version: 0.2.0
 Maintainer: Andrea Grandi <a.grandi@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqt4-core, libqt4-gui, libqt4-network, libqt4-xml, libqtm-multimedia
 Standards-Version: 3.7.3
 
 Package: lastgo

## lastgo 0.2.0-1

=== debian/changelog ===
lastgo (0.2.0-1) unstable; urgency=low

  * Add XSBC-Bugtracker field

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 18 Jul 2010 17:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: lastgo
 Architecture: any
 XB-Maemo-Display-Name: LastGo
+XSBC-Bugtracker: a.grandi@gmail.com
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: LastGo is a Last.fm client for MeeGo (netbook and tablet).
 XB-Maemo-Icon-26:

## lastgo 0.2.1

=== debian/changelog ===
lastgo (0.2.1) unstable; urgency=low

  * Fix an application crash when no more tracks available.
  * Fix client id version (needed by Last.fm scrobbling system).
  * Use correct Last.fm client id.
  * Fix an application crash if no connection available.

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 19 Jul 2010 16:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lastgo
 Section: user/multimedia
 Priority: extra
-Version: 0.2.0
+Version: 0.2.1
 Maintainer: Andrea Grandi <a.grandi@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev, libqt4-core, libqt4-gui, libqt4-network, libqt4-xml, libqtm-multimedia
 Standards-Version: 3.7.3
@@ -11,7 +11,7 @@
 XB-Maemo-Display-Name: LastGo
 XSBC-Bugtracker: a.grandi@gmail.com
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: LastGo is a Last.fm client for MeeGo (netbook and tablet).
+Description: LastGo is a Last.fm client for MeeGo (netbook and tablet) and Maemo.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,8 @@
 
 APPNAME := LastGo
 builddir:
-	#mkdir -p builddir
-
+	
 builddir/Makefile: builddir
-	#cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
 	qmake PREFIX=/usr $(APPNAME).pro
 
 build: build-stamp
@@ -23,10 +21,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	#cd builddir && $(MAKE)
 	$(MAKE)
-	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
-
+	
 	touch $@
 
 clean:
@@ -35,8 +31,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	#rm -rf builddir
-
+	
 	dh_clean
 
 install: build

## lastgo 0.2.1-1

=== debian/changelog ===
lastgo (0.2.1-1) unstable; urgency=low

  * Package optification.

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 19 Jul 2010 18:31:00 +0200

## lastgo 0.2.1-2

=== debian/changelog ===
lastgo (0.2.1-2) unstable; urgency=low

  * Package optification.

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 19 Jul 2010 18:31:00 +0200

## lastgo 0.2.1-3

=== debian/changelog ===
lastgo (0.2.1-3) unstable; urgency=low

  * Update XSBC-Bugtracker field

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 19 Jul 2010 19:06:00 +0200

## lastgo 0.2.1-4

=== debian/changelog ===
lastgo (0.2.1-4) unstable; urgency=low

  * Fix a crash if you import api keys first time.

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 20 Jul 2010 01:04:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: lastgo
 Architecture: any
 XB-Maemo-Display-Name: LastGo
-XSBC-Bugtracker: a.grandi@gmail.com
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=LastGo
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: LastGo is a Last.fm client for MeeGo (netbook and tablet) and Maemo.
 XB-Maemo-Icon-26:

=== debian/rules ===
--- 
+++ 
@@ -52,8 +52,8 @@
 	mkdir -p $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon
 	cp images/LastGo_64x64.png $(CURDIR)/debian/lastgo/usr/share/icons/hicolor/64x64/hildon/LastGo.png
 
-	mkdir -p $(CURDIR)/debian/lastgo/usr/bin
-	cp LastGo $(CURDIR)/debian/lastgo/usr/bin
+	mkdir -p $(CURDIR)/debian/lastgo/opt
+	cp LastGo $(CURDIR)/debian/lastgo/opt
 
 # Build architecture-independent files here.
 binary-indep: build install

## lastgo 0.2.1-5

=== debian/changelog ===
lastgo (0.2.1-5) unstable; urgency=low

  * Better error handling if session is invalid.
  * Fix a possible segfault in main window.
  * Fix some error handling.
  * Improve error reporting to the user.

 -- Andrea Grandi <a.grandi@gmail.com>  Sun, 24 Jul 2010 02:21:00 +0200
